/*
 * KOMMANDO_Nachkomman.java  01.07.99
 *
 *
 * Beilage zum Buch "Software-Entwurf mit UML"
 * von J.Seemann & J. Wolff von Gudenberg,
 * Springer-Verlag, 1999
 * 
 */

/** <i>Benutzerkommando zur Einstellung der Anzahl der Nachkommastellen (Details siehe Klasse Kommando)</i> */

public class KOMMANDO_Nachkomma extends Kommando
{
   int Nachkommastellen;
   Zelle z;

   public void doit()
   {   
      z = Tabkalk.ZellenEditor().aktuelleZelle();
      int altNachkommastellen = z.getNachkomma();
      KOMMANDO_Nachkomma k = new KOMMANDO_Nachkomma(altNachkommastellen);
      k.z = z;
      z.setNachkomma(Nachkommastellen);
      last = k;
  }

  public void undo() 
  {
      z.setNachkomma(Nachkommastellen);     
  };

  public KOMMANDO_Nachkomma(int n)
  {
     Nachkommastellen = n;
  }  
}